Bug 263736 - changing base directory for local podcasts doesn't work
Summary: changing base directory for local podcasts doesn't work
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Podcast (show other bugs)
Version: 2.4.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-20 12:22 UTC by hemathor
Modified: 2011-05-25 15:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hemathor 2011-01-20 12:22:16 UTC
Version:           2.4.0 (using KDE 4.5.5) 
OS:                Linux

when i try to change the base directory for local podcasts via "Configure General Settings", amarok just ignores the change. so, each time i add a new podcast, i have to manually change the directory for that podcast.

Reproducible: Always

Steps to Reproduce:
change the base directory for local podcasts...

Actual Results:  
changed directory is ignored. the default directory remains

/home/hemathor/.kde4/share/apps/amarok/podcasts/

Expected Results:  
base directory should be changed

OS: Linux (x86_64) release 2.6.34.7-0.7-desktop
Compiler: gcc
Comment 1 Bart Cerneels 2011-03-09 15:08:53 UTC
Git commit cdbc103147293bd9911b486d28cf17bf0593b437 by Bart Cerneels.
Committed on 09/03/2011 at 15:07.
Pushed by shanachie into branch 'master'.

Apply base download dir setting.

BUG:263736

M  +3    -0    src/core-impl/podcasts/sql/SqlPodcastProvider.cpp     

http://commits.kde.org/amarok/cdbc103147293bd9911b486d28cf17bf0593b437
Comment 2 hemathor 2011-05-17 09:56:41 UTC
it's not fixed!

as soon as i close amarok 2.4.1, the base directory is set back to the default directory. the change i made is lost...
Comment 3 Bart Cerneels 2011-05-25 15:34:46 UTC
Git commit ab49e2ada365f35a721cae874a46089637454c84 by Bart Cerneels.
Committed on 17/05/2011 at 16:27.
Pushed by shanachie into branch 'master'.

Save base save-location and move files.

BUG: 263736
FIXED-IN: 2.4.2
GUI: new strings

M  +70   -27   src/core-impl/podcasts/sql/SqlPodcastProvider.cpp     
M  +2    -0    src/core-impl/podcasts/sql/SqlPodcastProvider.h     

http://commits.kde.org/amarok/ab49e2ada365f35a721cae874a46089637454c84